macroScript SelectAllID
category:"Editable Polygon Object"
	(
	fn SelectAllID = (
							facenumber = polyOp.getFaceSelection $
							facearray = facenumber as array
							IDarray = #()
							for i=1 to facearray.count do (if findItem IDarray (polyOp.getFaceMatID $ facearray[i]) == 0 then join IDarray #(polyOp.getFaceMatID $ facearray[i]))
							for i=1 to IDarray.count do $.EditablePoly.selectByMaterial IDarray[i] clearCurrentSelection: false
							)
		
	if selection.count == 1 then ( if classof $ == Editable_Poly then SelectAllID () )
											)
macroScript SelectAllSG
category:"Editable Polygon Object"
	(
	fn SelectAllSG = (
							facenumber = polyOp.getFaceSelection $
							facearray = facenumber as array
							SGarray = #()
							for i=1 to facearray.count do (if findItem SGarray (polyOp.getFaceSmoothGroup $ facearray[i]) == 0 then join SGarray #(polyOp.getFaceSmoothGroup $ facearray[i]))
							for i=1 to SGarray.count do $.EditablePoly.selectBySmoothGroup SGarray[i] clearCurrentSelection: false
							)
		
	if selection.count == 1 then ( if classof $ == Editable_Poly then SelectAllSG () )
											)
